#
# spec file for package aspell-el (Version 0.004)
# 
# Copyright  (c)  2002  Evripidis Papakostas
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 

Name:         aspell-el
Packager:     Steve Stavropoulos <steve@math.upatras.gr>
Copyright:    GPL
Group:        Applications/Text
Version:      0.004
Release:      1
Summary:      A greek dictionary for aspell
URL:          http://ispell-source.gr/
Source0:      aspell-el-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-build
Requires:     aspell
BuildPrereq:  aspell
Obsoletes:    aspell-greek


%description
A Greek dictionary for aspell.

Authors:
--------
    Evripidis Papakostas <evris@source.gr>

%package greeklish
Packager:  Steve Stavropoulos <steve@math.upatras.gr>
Group:     Applications/Text
Summary:   A greeklish dictionary for aspell
Obsoletes: aspell-greek-greeklish

%description greeklish
A Greeklish dictionary for aspell. Based on the greek dictionary.

%prep
%setup

%build
make
make greeklish/greeklish

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
make DESTDIR=$RPM_BUILD_ROOT install-greeklish

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING Copyright README contributors
/usr/bin/aspell-gr
/usr/bin/aspell-greeklish2gr
/usr/bin/togreek-aspell
/usr/lib/aspell/greek
/usr/share/aspell/greek.dat
/usr/share/aspell/greek.kbd
/usr/share/aspell/greek_phonet.dat

%files greeklish
%defattr(-,root,root)
%doc README.greeklish
/usr/bin/aspell-greeklish
/usr/lib/aspell/greeklish
/usr/share/aspell/greeklish.dat
/usr/share/aspell/greeklish_phonet.dat
/usr/share/aspell/iso8859-1-greeklish.dat
/usr/share/aspell/iso8859-1-greeklish.map

%changelog -n aspell-fo
* Sun Sep 27 2003 Steve Stavropoulos <steve@math.upatras.gr>
- Name change to aspell-el
- aspell-greeklish2gr polishing
- togreek-aspell bugfixes
- togreeklish* bugfixes
- greek.dat special characters ",", "." and "-" removed (Athanasios Arvanitis)
- BuildPrereq for aspell added

* Tue Mar 26 2002 Steve Stavropoulos <steve@math.upatras.gr>
- greek.kbd added. Now aspell knows about the greek keyboard layout.
- togreek-aspell improved
- greeklish support at the -caps package
- Push up the release number to 40, from 39

* Mon Mar 25 2002 Steve Stavropoulos <steve@math.upatras.gr>
- greeklish dictionary added (produced from the greek)
- make a different package for the greeklish dict
- Makefile fix (fixed build problems when rpm is not used)
- togreek-aspell, aspell-greeklish2gr scripts added to the main package
- Push up the release number to 39, from 38

* Sat Mar 23 2002 Steve Stavropoulos <steve@math.upatras.gr>
- SuSEconf removed.
- File selection improved (=build problems removed)
- aspell-gr script added
- added missing require for aspell
- added safety check at clean
- Push up the release number to 38, from 37

* Thu Aug 16 2001 - evris@source.gr
- initial aspell greek dictionary released
